Skip to main content
GET
Get a WAAS wallet by address

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

walletAddress
string
required

Public key (address) of the wallet

Maximum string length: 255
Pattern: ^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$
Example:

"An example name"

Response

WaaS wallet fetched successfully

id
string
required
Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

projectEnvironmentId
string
required
Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

verifiedCredentials
object[]
required

List of verified credentials (wallets, emails, social accounts) linked to the user

lastVerifiedCredentialId
string
Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

sessionId
string
Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

alias
string | null
Maximum string length: 255
Pattern: ^$|^(?=\S)[\p{L}\p{N} _.,:!?&%@\/+-]+(?<=\S)$
Example:

"An example name"

country
string | null

Standard ISO 3166-1 alpha-2 two-letter country code

Maximum string length: 255
Pattern: ^[A-Z]{2}$
Example:

"US"

email
string<email> | null

Primary email address of the user

Maximum string length: 255
firstName
string | null
Maximum string length: 255
Pattern: ^$|^(?=\S)[\p{L}\p{N} _.,:!?&%@\/+-]+(?<=\S)$
Example:

"An example name"

jobTitle
string | null
Maximum string length: 255
Pattern: ^$|^(?=\S)[\p{L}\p{N} _.,:!?&%@\/+-]+(?<=\S)$
Example:

"An example name"

lastName
string | null
Maximum string length: 255
Pattern: ^$|^(?=\S)[\p{L}\p{N} _.,:!?&%@\/+-]+(?<=\S)$
Example:

"An example name"

phoneNumber
string | null

Phone number of the user

Maximum string length: 255

Whether the user has accepted the terms of service and privacy policy

tShirtSize
string | null
Maximum string length: 255
Pattern: ^$|^(?=\S)[\p{L}\p{N} _.,:!?&%@\/+-]+(?<=\S)$
Example:

"An example name"

team
string | null
Maximum string length: 255
Pattern: ^$|^(?=\S)[\p{L}\p{N} _.,:!?&%@\/+-]+(?<=\S)$
Example:

"An example name"

username
string | null
Maximum string length: 255
Pattern: ^$|^(?=\S)[\p{L}\p{N} _.,:!?&%@\/+-]+(?<=\S)$
Example:

"An example name"

firstVisit
string<date-time>

ISO 8601 timestamp of when the user first visited

lastVisit
string<date-time>

ISO 8601 timestamp of when the user last visited

newUser
boolean

Whether this is a newly created user

metadata
object

Arbitrary key-value metadata associated with the user

mfaBackupCodeAcknowledgement
enum<string> | null
Available options:
pending,
complete
btcWallet
string | null

Bitcoin wallet address of the user

kdaWallet
string | null

Kadena wallet address of the user

ltcWallet
string | null

Litecoin wallet address of the user

ckbWallet
string | null

Nervos CKB wallet address of the user

kasWallet
string | null

Kaspa wallet address of the user

dogeWallet
string | null

Dogecoin wallet address of the user

emailNotification
boolean | null

Whether the user has opted in to email notifications

discordNotification
boolean | null

Whether the user has opted in to Discord notifications

newsletterNotification
boolean | null

Whether the user has opted in to newsletter notifications

lists
string[]

Access lists evaluated by Dynamic when considering access for the user.

scope
string

A whitespace-separate list of permissions associated with the JWT token issued. This conforms to the JWT standard for scope claims: https://datatracker.ietf.org/doc/html/rfc8693#section-4.2

Example:

"superuser marketing operations"

missingFields
object[]

List of required user fields that have not yet been provided

Last modified on July 17, 2026